commit:     a01b71c2e92319815429298bbd7041cd51e462a7
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed May 28 06:32:35 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed May 28 06:44:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a01b71c2

dev-ruby/rspec-support: add 3.13.4

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rspec-support/Manifest                    |  1 +
 dev-ruby/rspec-support/rspec-support-3.13.4.ebuild | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-ruby/rspec-support/Manifest b/dev-ruby/rspec-support/Manifest
index d26a3a0cacbf..823570d90bc1 100644
--- a/dev-ruby/rspec-support/Manifest
+++ b/dev-ruby/rspec-support/Manifest
@@ -1,3 +1,4 @@
 DIST rspec-support-3.13.1-git.tgz 79672 BLAKE2B 
73a1b7c8508fd361ca06a647b3291e51eb5cd7f5ea3061b41b81daa724a8811a4891a8b0fadd440b163cf7cf8c43cb2e81e440da57613e82f791cb656913ecf5
 SHA512 
afbd76d937c5e2bfff8eccd69f4cd5081befc667fdef699743f809bf3f3bdda2404a24fb2408bce3373d7995406ca11a76c734d973957aeb6ada3d41fa59249c
 DIST rspec-support-3.13.2-git.tgz 914469 BLAKE2B 
9bb0977420f8e034b47f7f8589e372483265e8a7b783bc2222243a1a500d7852ea948f44a8b19e0c3b1fa62379b8fdb1d68e7dd98ac439585cce91086cc0d5e9
 SHA512 
f4f46ecfc6d5b9dae9a210fd25b0ac96c9491e9b20aadae8d26997f45cc81b3dce6dbbffc727e406517869ae68cc46f73832f8f3793cb10055c342dc16f5848d
 DIST rspec-support-3.13.3-git.tgz 917482 BLAKE2B 
e1cd8d63d0b6351889c5dfb5ad4b80dc01386897796fffe5151923d861d36a087765ba29f49fc183242e0fc5f5ee8eb2e7351cb2ca43f89a9cc6e9366dc7b2f1
 SHA512 
262385980a445441ce97aa957bff336633b5066600013b28b91b80349c901b687e823051918478be63571ce5dcc6b659996e4228896bda90aa6fe7287ee0f699
+DIST rspec-support-3.13.4-git.tgz 918142 BLAKE2B 
2ed20f07a42bb9133baccdf722e8dbe6f6d967aa4d17fcb4fd15baa6c401f69f6b6cd25c5bd944c07d90d49d2a42ae51fd44d9c0248aabae19b056f5c3162267
 SHA512 
3225aaaea9cda393f0357bc08e739c7333068807f3cb7999355c27bf05384bac2eb99ab921202edce83f686c02e8565031b73f379174f6df74c65852fbc6d4e7

diff --git a/dev-ruby/rspec-support/rspec-support-3.13.4.ebuild 
b/dev-ruby/rspec-support/rspec-support-3.13.4.ebuild
new file mode 100644
index 000000000000..8a8580fba7c8
--- /dev/null
+++ b/dev-ruby/rspec-support/rspec-support-3.13.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-support";
+SRC_URI="https://github.com/rspec/rspec/archive/refs/tags/${PN}-v${PV}.tar.gz 
-> ${P}-git.tgz"
+RUBY_S="rspec-${PN}-v${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rspec-3.9.0:3 
>=dev-ruby/thread_order-1.1.0 )"
+
+all_ruby_prepare() {
+       sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Remove spec that, by following symlinks, tries to scan pretty much
+       # the whole filesystem.
+       rm spec/rspec/support/caller_filter_spec.rb || die
+
+       # Avoid spec that requires a dependency on git
+       sed -i -e '/library wide checks/,/]/ s:^:#:' spec/rspec/support_spec.rb 
|| die
+
+       # Avoid a spec requiring a specific locale
+       sed -i -e '/copes with encoded strings/ 
s/RSpec::Support::OS.windows?/true/' spec/rspec/support/differ_spec.rb || die
+
+       # Avoid specs failing when run in Gentoo, possibly due to different IO
+       sed -e '/outputs unified diff message of two arrays/askip "ruby31 IO"' \
+               -e '/outputs unified diff message for hashes inside arrays with 
differing key orders/askip "ruby31 IO"' \
+               -i spec/rspec/support/differ_spec.rb || die
+}
+
+each_ruby_prepare() {
+       # Use the ruby version being tested
+       sed -i -e '/shell_out/ s:ruby:'${RUBY}':' 
spec/rspec/support/spec/shell_out_spec.rb || die
+}
+
+each_ruby_test() {
+       RUBYLIB=lib ${RUBY} -S rspec spec || die
+}

Reply via email to